Cyberduck Mountain Duck CLI

#3153 closed defect (worksforme)

NoClassDefFoundError

Reported by: andreas.helge@… Owned by: dkocher
Priority: normal Milestone:
Component: ftp Version: 3.2
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description (last modified by dkocher)

Da es in die Schweiz geht, erlaube ich mir in Deutsch zu schreiben:

Seit einiger Zeit, kann ich mich nicht mehr mit unserem Server verbinden. Mit Coda (Transmit) oder Cyberduck auf anderen Rechnern klappt es perfekt. Nur auf meinem Arbeitsrechner nicht. plist-Dateien löschen, auch Updates haben nicht geholfen.

Mit der neuen Version scheint alles in einer Endlos-Schleife zu laufen. In extrem kurzen Abständen erscheint:

200 NOOP command successful
SYST
215 UNIX Type: L8
NOOP
200 NOOP command successful
SYST
215 UNIX Type: L8
NOOP

… im Protokoll.

Ordner oder Dateien werden nicht angezeigt.

Sytem: G5, leo 10.5.6

Change History (6)

comment:1 Changed on Apr 29, 2009 at 10:46:50 AM by dkocher

  • Description modified (diff)

Can you find any related output in the system.log (/Applications/Utilities/Console.app)?

comment:2 Changed on Apr 29, 2009 at 11:39:17 AM by andreas.helge@…

Thanks for the tip.

In error.log I can find some entries: 29.04.09 13:33:07 [0x0-0x72072].ch.sudo.cyberduck[2787] 2009-04-29 13:33:07,293 [Background] WARN com.enterprisedt.net.ftp.FTPClient - No UTF8 support

I switches the mode between ISO-8859-1, MacRoman and US-ASCII (of course with restarting Cyberduck) but nothing happens. There is the green light at the end of the bookmark and the protokoll says: 230 User logged in FEAT 211-Features:

MDTM AUTH TLS PBSZ PROT REST STREAM SIZE

211 End NOOP 200 NOOP command successful CWD /

But Cyberduck doesn't switch to the FTP-List. I can't see anything.

More log output: Hope it helps.

29.04.09 13:38:19 [0x0-0x73073].ch.sudo.cyberduck[2830] 2009-04-29 13:38:19,499 [Background] WARN com.enterprisedt.net.ftp.FTPClient - No UTF8 support 29.04.09 13:38:19 kernel m75b52783 11214 2830 29.04.09 13:38:19 kernel m75b52783 11214 2830 29.04.09 13:38:20 kernel m71482545 0 29.04.09 13:38:20 kernel m71482545 0 29.04.09 13:38:20 kernel m71482545 0 29.04.09 13:38:20 kernel m407168d8 29.04.09 13:38:20 kernel m71482545 0 29.04.09 13:38:20 kernel m71482545 0 29.04.09 13:38:20 kernel m71482545 0 29.04.09 13:38:20 kernel m407168d8 29.04.09 13:38:19 [0x0-0x73073].ch.sudo.cyberduck[2830] Exception in thread "Background" java.lang.NoClassDefFoundError: org/apache/oro/text/regex/MalformedPatternException 29.04.09 13:38:19 [0x0-0x73073].ch.sudo.cyberduck[2830] at ch.cyberduck.core.ftp.FTPParserFactory.createUnixFTPEntryParser(FTPParserFactory.java:75) 29.04.09 13:38:19 [0x0-0x73073].ch.sudo.cyberduck[2830] at ch.cyberduck.core.ftp.FTPParserFactory.createFileEntryParser(FTPParserFactory.java:41) 29.04.09 13:38:19 [0x0-0x73073].ch.sudo.cyberduck[2830] at ch.cyberduck.core.ftp.FTPSession.getFileParser(FTPSession.java:115) 29.04.09 13:38:19 [0x0-0x73073].ch.sudo.cyberduck[2830] at ch.cyberduck.core.ftp.FTPPath.list(FTPPath.java:110) 29.04.09 13:38:19 [0x0-0x73073].ch.sudo.cyberduck[2830] at ch.cyberduck.core.AbstractPath.childs(AbstractPath.java:106) 29.04.09 13:38:19 [0x0-0x73073].ch.sudo.cyberduck[2830] at ch.cyberduck.core.AbstractPath.childs(AbstractPath.java:93) 29.04.09 13:38:19 [0x0-0x73073].ch.sudo.cyberduck[2830] at ch.cyberduck.core.Session.mount(Session.java:243)

kind regads Andreas

comment:3 Changed on Apr 29, 2009 at 11:45:24 AM by andreas.helge@…

Sorry, here is the output formatted:

29.04.09 13:33:07 [0x0-0x72072].ch.sudo.cyberduck[2787] 2009-04-29 13:33:07,293 [Background] WARN com.enterprisedt.net.ftp.FTPClient - No UTF8 support

more output:

29.04.09 13:38:19 [0x0-0x73073].ch.sudo.cyberduck[2830] Exception in thread "Background" java.lang.NoClassDefFoundError:[[BR]]
 org/apache/oro/text/regex/MalformedPatternException [[BR]]
29.04.09 13:38:19 [0x0-0x73073].ch.sudo.cyberduck[2830]  at ch.cyberduck.core.ftp.FTPParserFactory.createUnixFTPEntryParser(FTPParserFactory.java:75)[[BR]] 
29.04.09 13:38:19 [0x0-0x73073].ch.sudo.cyberduck[2830]  at ch.cyberduck.core.ftp.FTPParserFactory.createFileEntryParser(FTPParserFactory.java:41)[[BR]] 
29.04.09 13:38:19 [0x0-0x73073].ch.sudo.cyberduck[2830]  at ch.cyberduck.core.ftp.FTPSession.getFileParser(FTPSession.java:115)[[BR]] 
29.04.09 13:38:19 [0x0-0x73073].ch.sudo.cyberduck[2830]  at ch.cyberduck.core.ftp.FTPPath.list(FTPPath.java:110)[[BR]] 
29.04.09 13:38:19 [0x0-0x73073].ch.sudo.cyberduck[2830]  at ch.cyberduck.core.AbstractPath.childs(AbstractPath.java:106)[[BR]] 
29.04.09 13:38:19 [0x0-0x73073].ch.sudo.cyberduck[2830]  at ch.cyberduck.core.AbstractPath.childs(AbstractPath.java:93)[[BR]] 
29.04.09 13:38:19 [0x0-0x73073].ch.sudo.cyberduck[2830]  at ch.cyberduck.core.Session.mount(Session.java:243)[[BR]] 
29.04.09 13:38:19 [0x0-0x73073].ch.sudo.cyberduck[2830]  at ch.cyberduck.core.Session.mount(Session.java:243)[[BR]] 
29.04.09 13:38:19 [0x0-0x73073].ch.sudo.cyberduck[2830]  at ch.cyberduck.core.ftp.FTPSession.mount(FTPSession.java:67)[[BR]] 
29.04.09 13:38:19 [0x0-0x73073].ch.sudo.cyberduck[2830]  at ch.cyberduck.core.Session.mount(Session.java:204)[[BR]] 
29.04.09 13:38:19 [0x0-0x73073].ch.sudo.cyberduck[2830]  at ch.cyberduck.ui.cocoa.CDBrowserController$35$1.run(CDBrowserController.java:3760)[[BR]] 
29.04.09 13:38:19 [0x0-0x73073].ch.sudo.cyberduck[2830]  at ch.cyberduck.ui.cocoa.CDWindowController$1.run(CDWindowController.java:76)[[BR]] 

comment:4 Changed on Apr 29, 2009 at 11:58:45 AM by dkocher

Something is severly broken with your Cyberduck installation. Can you please paste the following in a Terminal.app window

jar tvf /Applications/Cyberduck.app/Contents/Resources/Java/jakarta-oro-2.0.8.jar

What is the output? (Replace /Applications to where you have put the Cyberduck.app bundle)

comment:5 Changed on Apr 29, 2009 at 12:19:40 PM by andreas.helge@…

I wrote a lot, but my message was rejected :-(

I made the installation but nothing happened. I think I will install Cyberduck complete new.

29.04.09 14:02:55 [0x0-0x7a07a].ch.sudo.cyberduck[3058] Exception in thread "Background" java.lang.NoClassDefFoundError: [[BR]]
org/apache/oro/text/regex/MalformedPatternException [[BR]]
29.04.09 14:02:55 [0x0-0x7a07a].ch.sudo.cyberduck[3058]  at ch.cyberduck.core.ftp.FTPParserFactory.createUnixFTPEntryParser(FTPParserFactory.java:75)[[BR]] 
29.04.09 14:02:55 [0x0-0x7a07a].ch.sudo.cyberduck[3058]  at ch.cyberduck.core.ftp.FTPParserFactory.createFileEntryParser(FTPParserFactory.java:41)[[BR]] 
29.04.09 14:02:55 [0x0-0x7a07a].ch.sudo.cyberduck[3058]  at ch.cyberduck.core.ftp.FTPSession.getFileParser(FTPSession.java:115)[[BR]] 
29.04.09 14:02:55 [0x0-0x7a07a].ch.sudo.cyberduck[3058]  at ch.cyberduck.core.ftp.FTPPath.list(FTPPath.java:110)[[BR]] 
29.04.09 14:02:55 [0x0-0x7a07a].ch.sudo.cyberduck[3058]  at ch.cyberduck.core.AbstractPath.childs(AbstractPath.java:106)[[BR]] 
29.04.09 14:02:55 [0x0-0x7a07a].ch.sudo.cyberduck[3058]  at ch.cyberduck.core.AbstractPath.childs(AbstractPath.java:93) [[BR]]
29.04.09 14:02:55 [0x0-0x7a07a].ch.sudo.cyberduck[3058]  at ch.cyberduck.core.Session.mount(Session.java:243) [[BR]]
29.04.09 14:02:55 [0x0-0x7a07a].ch.sudo.cyberduck[3058]  at ch.cyberduck.core.ftp.FTPSession.mount(FTPSession.java:67) [[BR]]
29.04.09 14:02:55 [0x0-0x7a07a].ch.sudo.cyberduck[3058]  at ch.cyberduck.core.Session.mount(Session.java:204) [[BR]]
29.04.09 14:02:55 [0x0-0x7a07a].ch.sudo.cyberduck[3058]  at ch.cyberduck.ui.cocoa.CDBrowserController$35$1.run(CDBrowserController.java:3760) [[BR]]
29.04.09 14:02:55 [0x0-0x7a07a].ch.sudo.cyberduck[3058]  at ch.cyberduck.ui.cocoa.CDWindowController$1.run(CDWindowController.java:76) [[BR]]
29.04.09 14:02:55 [0x0-0x7a07a].ch.sudo.cyberduck[3058]  at ch.cyberduck.ui.cocoa.CDWindowController$1.run(CDWindowController.java:76) 

comment:6 Changed on Oct 18, 2009 at 9:01:00 PM by dkocher

  • Resolution set to worksforme
  • Status changed from new to closed
  • Summary changed from keine Verbindung / Ordner werden angezeigt to NoClassDefFoundError

I assume this has been fixed by a reinstall.

Note: See TracTickets for help on using tickets.
swiss made software